# rpmlead Struct Reference
[LEAD.]

The lead data structure. More...

`#include <rpmlib.h>`

## Data Fields

unsigned char | magic [4]
unsigned char | major
unsigned char | minor
short | type
short | archnum
char | name [66]
short | osnum
short | signature_type
char | reserved [16]

## Detailed Description

The lead data structure.

The lead needs to be 8 byte aligned.

Deprecated:
  The lead (except for signature_type) is legacy.

Todo:
  Don't use any information from lead.

Definition at line 1571 of file rpmlib.h.

## Field Documentation

short rpmlead::archnum

| Definition at line 1575 of file rpmlib.h. Referenced by writeLead(), and writeRPM().

unsigned char rpmlead::magic[4]

| Definition at line 1572 of file rpmlib.h. Referenced by writeLead().

unsigned char rpmlead::major

| Definition at line 1573 of file rpmlib.h. Referenced by main(), and rpmReadPackageHeader().

unsigned char rpmlead::minor

| Definition at line 1573 of file rpmlib.h. Referenced by rpmReadPackageHeader().

char rpmlead::name[66]

| Definition at line 1576 of file rpmlib.h.

short rpmlead::osnum

| Definition at line 1577 of file rpmlib.h. Referenced by writeLead(), and writeRPM().

char rpmlead::reserved[16]

| Pad to 96 bytes -- 8 byte aligned Definition at line 1579 of file rpmlib.h.

short rpmlead::signature_type

| Signature header type (RPMSIG_HEADERSIG) Definition at line 1578 of file rpmlib.h. Referenced by main(), and writeLead().

short rpmlead::type

| Definition at line 1574 of file rpmlib.h. Referenced by rewriteRPM(), rpmCheckSig(), rpmReadPackageHeader(), rpmReadSignature(), and writeLead().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h